GlueGen: com.jogamp.gluegen.BuildUtil Class Reference

GlueGen v2.6.0-rc-20250721 GlueGen, Native Binding Generator for Java™ (public API).

Static Public Member Functions | Static Public Attributes | List of all members
com.jogamp.gluegen.BuildUtil Class Reference
Collaboration diagram for com.jogamp.gluegen.BuildUtil:

## Static Public Member Functions

static Project | passSystemProperty (final Project p, final String name)
static void | cleanGeneratedFiles ()
static void | compileJava ()
| fails if ant script fails (which is a good thing). More...
static void | compileNatives ()
| fails if ant script fails (which is a good thing) executeTarget throws RuntimeException on failure More...
static void | generate (final String bindingName)
static void | generate (final String bindingName, final String emitter)
static void | generate (final String bindingName, final String header, final String emitter)
static void | deleteDirectory (final File path)

## Static Public Attributes

static final String | gluegenRoot
static final String | path
static final String | testOutput
static final String | rootrel_build

## Detailed Description

Author
  Michael Bien

Definition at line 44 of file BuildUtil.java.

## Member Function Documentation

## ◆ cleanGeneratedFiles()

static void com.jogamp.gluegen.BuildUtil.cleanGeneratedFiles | ( |  | ) |

static

Definition at line 115 of file BuildUtil.java.

Here is the call graph for this function:

## ◆ compileJava()

static void com.jogamp.gluegen.BuildUtil.compileJava | ( |  | ) |

static

fails if ant script fails (which is a good thing).

executeTarget throws RuntimeException on failure

Definition at line 125 of file BuildUtil.java.

## ◆ compileNatives()

static void com.jogamp.gluegen.BuildUtil.compileNatives | ( |  | ) |

static

fails if ant script fails (which is a good thing) executeTarget throws RuntimeException on failure

Definition at line 135 of file BuildUtil.java.

## ◆ deleteDirectory()

static void com.jogamp.gluegen.BuildUtil.deleteDirectory | ( | final File | path | ) |

static

Definition at line 162 of file BuildUtil.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ generate() [1/3]

static void com.jogamp.gluegen.BuildUtil.generate | ( | final String | bindingName | ) |

static

Definition at line 141 of file BuildUtil.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ generate() [2/3]

static void com.jogamp.gluegen.BuildUtil.generate | ( | final String | bindingName,
|  | final String | emitter
| ) |  |

static

Definition at line 146 of file BuildUtil.java.

Here is the call graph for this function:

## ◆ generate() [3/3]

static void com.jogamp.gluegen.BuildUtil.generate | ( | final String | bindingName,
|  | final String | header,
|  | final String | emitter
| ) |  |

static

Definition at line 149 of file BuildUtil.java.

Here is the call graph for this function:

## ◆ passSystemProperty()

static Project com.jogamp.gluegen.BuildUtil.passSystemProperty | ( | final Project | p,
|  | final String | name
| ) |  |

static

Definition at line 107 of file BuildUtil.java.

## Member Data Documentation

## ◆ gluegenRoot

final String com.jogamp.gluegen.BuildUtil.gluegenRoot

static

Definition at line 48 of file BuildUtil.java.

## ◆ path

final String com.jogamp.gluegen.BuildUtil.path

static

Definition at line 49 of file BuildUtil.java.

## ◆ rootrel_build

final String com.jogamp.gluegen.BuildUtil.rootrel_build

static

Definition at line 51 of file BuildUtil.java.

## ◆ testOutput

final String com.jogamp.gluegen.BuildUtil.testOutput

static

Definition at line 50 of file BuildUtil.java.

The documentation for this class was generated from the following file:

- test/junit/com/jogamp/gluegen/BuildUtil.java